#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unix
%define		pnam	Syslog
Summary:	Unix::Syslog - Perl interface to the UNIX system logger
Summary(pl.UTF-8):	Unix::Syslog - interfejs Perla do uniksowego systemowego programu logującego
Name:		perl-Unix-Syslog
Version:	1.1
Release:	9
License:	Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://search.cpan.org/CPAN/authors/id/M/MH/MHARNISCH/Unix-Syslog-%{version}.tar.gz
# Source0-md5:	73d78e309fe9508ffc9a54d84d79aac9
URL:		http://search.cpan.org/dist/Unix-Syslog/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Unix::Syslog Perl module provides access to the system logger
available on most UNIX systems via Perl's XSUBs (Perl's C interface).

%description -l pl.UTF-8
Moduł Perla Unix::Syslog umożliwia za pośrednictwem XSUB Perla
(perlowy interfejs do C) dostęp do występującego w większości systemów
uniksowych rejestratora systemowego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorarch}/Unix/*
%dir %{perl_vendorarch}/auto/Unix/Syslog
%attr(755,root,root) %{perl_vendorarch}/auto/Unix/Syslog/Syslog.so
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unix-Syslog.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6e64263
- x32 rebuild
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fb0abf5
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d980fbe
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c4fa2bf
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bc0da11
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 023f7d4
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b14e4b2
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ee55e1b
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> fa4157f
- updated to 1.1

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> da7a74a
- release 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> 6b3c84b
- version 1.0

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c95b2b6
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4d9ba05
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e18f7ce
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8aedb9d
- converted to UTF-8

* Sun Dec 17 2006 Elan Ruusamäe <glen@pld-linux.org> 11afe84
- 0.100

* Tue Oct 24 2006 ankry <ankry@pld-linux.org> df2cec7
- %{perl_vendorarch}/Unix moved to perl-dirs, rel. 5

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 46a715c
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 70b28c3
- spelling fixes, uppercases, etc.

* Sat Jun 05 2004 radek <radek@pld-linux.org> 45e086d
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

